Debian Bug report logs - #523920
create nonexistent /var/cache/apt/archives/partial directory

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: martin f krafft <madduck@debian.org>

Date: Mon, 13 Apr 2009 16:39:37 UTC

Severity: important

Found in version apt/0.7.20.2

Fixed in versions apt/0.7.26~exp4, apt/0.8.0

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#523920; Package apt. (Mon, 13 Apr 2009 16:39:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 13 Apr 2009 16:40:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: create nonexistent /var/cache/apt/archives/partial directory
Date: Mon, 13 Apr 2009 18:21:18 +0200
[Message part 1 (text/plain, inline)]
Package: apt
Version: 0.7.20.2
Severity: important

When /var/cache/apt/archives/partial is missing, APT refuses to do
its jobs. However, the FHS says that /var/cache contains convenience
data, which must not be required to exist. Thus, APT should really
just create the directory if it doesn't find one.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt depends on:
ii  debian-archive-keyring        2009.01.31 GnuPG archive keys of the Debian a
ii  libc6                         2.9-6      GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.3-7  GCC support library
ii  libstdc++6                    4.3.3-7    The GNU Standard C++ Library v3

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc                      <none>      (no description available)
ii  aptitude                     0.4.11.11-1 terminal-based package manager
ii  bzip2                        1.0.5-1     high-quality block-sorting file co
ii  dpkg-dev                     1.14.26     Debian package development tools
ii  lzma                         4.43-14     Compression method of 7z format in
ii  python-apt                   0.7.10      Python interface to libapt-pkg

-- no debconf information


-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#523920; Package apt. (Mon, 27 Apr 2009 05:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 27 Apr 2009 05:51:03 GMT) Full text and rfc822 format available.


Message #10 received at 523920@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 523920@bugs.debian.org
Date: Mon, 27 Apr 2009 07:42:44 +0200
[Message part 1 (text/plain, inline)]
clone 523920 -1
retitle -1 create nonexistent /var/lib/apt/lists/partial directory
severity -1 wishlist
thanks

The same applies to the /var/lib/apt/lists/partial directory, which
APT could just create it if was missing.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug 523920 cloned as bug 525783. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Mon, 27 Apr 2009 05:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#523920; Package apt. (Sun, 01 Nov 2009 13:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 01 Nov 2009 13:51:09 GMT) Full text and rfc822 format available.

Message #17 received at 523920@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 523920@bugs.debian.org
Cc: madduck@debian.org
Subject: Re: Bug#523920: create nonexistent /var/cache/apt/archives/partial directory
Date: Sun, 1 Nov 2009 14:42:52 +0100
Hi,

this bug is especially annoying if /var/cache/apt/archives or
/var/cache/apt is mounted as tmpfs on systems which run off a CF or SD
card or very small SSDs (like the early EeePCs).

My current workaround is having the line

  mkdir -p /var/cache/apt/partial /var/cache/apt/archives/partial

in /etc/rc.local.

Works without problems for quite some weeks, but it would be nice to
have this fixed in apt.

		Regards, Axel
-- 
/~\  Plain Text Ribbon Campaign                   | Axel Beckert
\ /  Say No to HTML in E-Mail and News            | abe@deuxchevaux.org  (Mail)
 X   See http://www.asciiribbon.org/              | abe@noone.org (Mail+Jabber)
/ \  I love long mails: http://email.is-not-s.ms/ | http://noone.org/abe/ (Web)




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#523920; Package apt. (Mon, 02 Nov 2009 07:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 02 Nov 2009 07:45:08 GMT) Full text and rfc822 format available.

Message #22 received at 523920@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Axel Beckert <abe@deuxchevaux.org>, 523920@bugs.debian.org
Subject: Re: Bug#523920: create nonexistent /var/cache/apt/archives/partial directory
Date: Mon, 02 Nov 2009 08:24:06 +0100
Am Sonntag, den 01.11.2009, 14:42 +0100 schrieb Axel Beckert:
> Hi,
> 
> this bug is especially annoying if /var/cache/apt/archives or
> /var/cache/apt is mounted as tmpfs on systems which run off a CF or SD
> card or very small SSDs (like the early EeePCs).
> 
> My current workaround is having the line
> 
>   mkdir -p /var/cache/apt/partial /var/cache/apt/archives/partial
> 
> in /etc/rc.local.
> 
> Works without problems for quite some weeks, but it would be nice to
> have this fixed in apt.
I will take a look at it.

-- 
Julian Andres Klode - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Thu, 06 May 2010 13:51:08 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Thu, 06 May 2010 13:51:08 GMT) Full text and rfc822 format available.

Message #27 received at 523920-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 523920-close@bugs.debian.org
Subject: Bug#523920: fixed in apt 0.7.26~exp4
Date: Thu, 06 May 2010 13:47:17 +0000
Source: apt
Source-Version: 0.7.26~exp4

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.7.26~exp4_all.deb
  to main/a/apt/apt-doc_0.7.26~exp4_all.deb
apt-transport-https_0.7.26~exp4_i386.deb
  to main/a/apt/apt-transport-https_0.7.26~exp4_i386.deb
apt-utils_0.7.26~exp4_i386.deb
  to main/a/apt/apt-utils_0.7.26~exp4_i386.deb
apt_0.7.26~exp4.dsc
  to main/a/apt/apt_0.7.26~exp4.dsc
apt_0.7.26~exp4.tar.gz
  to main/a/apt/apt_0.7.26~exp4.tar.gz
apt_0.7.26~exp4_i386.deb
  to main/a/apt/apt_0.7.26~exp4_i386.deb
libapt-pkg-dev_0.7.26~exp4_i386.deb
  to main/a/apt/libapt-pkg-dev_0.7.26~exp4_i386.deb
libapt-pkg-doc_0.7.26~exp4_all.deb
  to main/a/apt/libapt-pkg-doc_0.7.26~exp4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 May 2010 09:32:54 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.26~exp4
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 523920 525783 576420 577116 577117 577168 577226 577759 578267 578385 578657 578959
Changes: 
 apt (0.7.26~exp4) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/depcache.cc:
     - rewrite the pseudo package reinstaller to be more intelligent
       in his package choices
   * apt-pkg/packagemanager.cc:
     - don't try to "unpack" pseudo packages twice
   * apt-pkg/contrib/fileutl.cc:
     - add a parent-guarded "mkdir -p" as CreateDirectory()
   * apt-pkg/acquire.{cc,h}:
     - add a delayed constructor with Setup() for success reporting
     - check for and create directories in Setup if needed instead of
       error out unfriendly in the Constructor (Closes: #523920, #525783)
     - optional handle a lock file in Setup()
   * apt-pkg/acquire-item.cc:
     - Acquire::ForceHash to force method for expected hash
   * cmdline/apt-get.cc:
     - remove the lock file handling and let Acquire take care of it instead
     - display MD5Sum in --print-uris if not forced to use another method
       instead of displaying the strongest available (Closes: #576420)
     - regex for package names executed on Grp- not PkgIterator
     - show non-candidates as fallback for virtual packages (Closes: #578385)
     - set also "all" to this version for pseudo packages in TryToChangeVer
   * apt-pkg/deb/dpkgpm.cc:
     - remove Chroot-Directory from files passed to install commands.
       Thanks to Kel Modderman for report & patch! (Closes: #577226)
   * ftparchive/writer.cc:
     - remove 999 chars Files and Checksums rewrite limit (Closes: #577759)
   * cmdline/apt-cache.cc:
     - align Installed and Candidate Version in policy so they can be compared
       easier, thanks Ralf Gesellensetter for the pointer! (Closes: #578657)
   * doc/apt.ent:
     - Add a note about APT_CONFIG in the -c description (Closes: #578267)
   * doc/po/de.po:
     - correct typos in german apt_preferences manpage, thanks Chris Leick!
   * apt-pkg/sourcelist.cc:
     - be less strict and accept [option=value] as well
   * apt-pkg/contrib/configuration.cc:
     - error out if #clear directive has no argument
   * doc/files.sgml:
     - sync documentation with status quo, regarding files/directories in
       use, extended_states and uri schemes.
   * doc/cache.sgml:
     - drop the file in favor of inplace documentation with doxygen
   * apt-pkg/pkgcache.h:
     - enhance the Groups ABI by providing a ID as the other structs does
     - check also the size of the Group struct then checking for the others
 .
   [ Jari Aalto ]
   * cmdline/apt-get.cc:
     - replace backticks with single quotes around fix-broken command
       in the broken packages message. (Closes: #577168)
   * dselect/install:
     - modernize if-statements not to use 'x' (Closes: #577117)
     - replace backticks with POSIX $() (Closes: #577116)
 .
   [ Michael Vogt ]
   * [ Abi break ] apt-pkg/acquire-item.{cc,h}:
     - add "IsIndexFile" to constructor of pkgAcqFile so that it sends
       the right cache control headers
   * cmdline/apt-get.cc:
     - fix crash when pkg.VersionList() is empty
   * apt-pkg/depcache.cc:
     - fix incorrect std::cout usage for debug output
   * test/libapt/getlanguages_test.cc:
     - Add test for Esperanto that has nocounty associated with them
       (LP: #560956)
   * apt-pkg/deb/debrecords.cc:
     - fix max tag buffer size (LP: #545336, closes: #578959)
   * debian/rules:
     - install html doxygen in libapt-pkg-doc
   * debian/control:
     - build-depend on doxygen
 .
   [ Julian Andres Klode ]
   * apt-pkg/contrib/weakptr.h:
     - add a class WeakPointable which allows one to register weak pointers to
       an object which will be set to NULL when the object is deallocated.
   * [ABI break] apt-pkg/acquire{-worker,-item,}.h:
     - subclass pkgAcquire::{Worker,Item,ItemDesc} from WeakPointable.
   * apt-pkg/pkgcache.cc:
     - Merge fix from David to correct handling in single-arch environments.
   * cmdline/apt-cache.cc:
     - Add a showauto command to apt-cache.
   * cmdline/apt-get.cc:
     - Add apt-get markauto and unmarkauto commands.
Checksums-Sha1: 
 2011156d4943a4e13d6cef23fd718f4a8e29bee5 1258 apt_0.7.26~exp4.dsc
 30369db4ddc7562fd4b24e3e75eebffc4aacb3b6 2808024 apt_0.7.26~exp4.tar.gz
 55996c9a244fcecbc8bbf64d2430e6bcb869b770 225814 apt-doc_0.7.26~exp4_all.deb
 b0df561c3211c2e61ca7a692f0eb1f5c3bf850bc 611474 libapt-pkg-doc_0.7.26~exp4_all.deb
 5bb73c6804049945f67253c58c4cc5e5bc3a58ef 1928280 apt_0.7.26~exp4_i386.deb
 408d780e90f2ca3b0f707bbb3161efa2c9e3251e 134388 libapt-pkg-dev_0.7.26~exp4_i386.deb
 e6c46faaaefecdea9ac5dd6ce0f68d351b1355e4 259928 apt-utils_0.7.26~exp4_i386.deb
 735030008b06a895474e42821be93ca6de2dc072 73672 apt-transport-https_0.7.26~exp4_i386.deb
Checksums-Sha256: 
 b13d709c8e72967609dbc17f6ab2a93edc2b1c59de012f8b61323a55cc0b35f5 1258 apt_0.7.26~exp4.dsc
 f14a062e97ef0683d87de2aa47c2c2f385e6b2731ec6247214e54354061c13f6 2808024 apt_0.7.26~exp4.tar.gz
 723419155c8683527da1c4ed9ea272b3cbbc71dd121bd61004c87e65c4f49a91 225814 apt-doc_0.7.26~exp4_all.deb
 26ed776605a8e6ad650d93b12a2ef409d3a185c9637e9ba58b0c6e09dadd87b6 611474 libapt-pkg-doc_0.7.26~exp4_all.deb
 270ae322784891008221a8ad2a57db57808ec5df6c701d962de23e3f47a3bd7a 1928280 apt_0.7.26~exp4_i386.deb
 8a08db5540e116b2aaf7ce534beeb16c49362c276acbdcae8d5e6c26bc415273 134388 libapt-pkg-dev_0.7.26~exp4_i386.deb
 c9e3f42f2967eb27f143a941e04e37c850e9a1f78b563babfbe20fd0b5cc6f9b 259928 apt-utils_0.7.26~exp4_i386.deb
 d4c33249e799487a6b8203aa36c24a58ee4c8ce22c73429ef59910bc6c28e110 73672 apt-transport-https_0.7.26~exp4_i386.deb
Files: 
 1963728281ac39c8eafd857359be2389 1258 admin important apt_0.7.26~exp4.dsc
 3a1907c13d0d6f012d3cfdeb8f125e32 2808024 admin important apt_0.7.26~exp4.tar.gz
 fb151cae6c3f2b786e24c14cedfc256f 225814 doc optional apt-doc_0.7.26~exp4_all.deb
 4bdc0cce2d62d6a69707c201e255ed88 611474 doc optional libapt-pkg-doc_0.7.26~exp4_all.deb
 d0df3ce54e3e9005aaca7ac8ffd1fef9 1928280 admin important apt_0.7.26~exp4_i386.deb
 f0910ce2144dfa154574673e49c548e9 134388 libdevel optional libapt-pkg-dev_0.7.26~exp4_i386.deb
 ff792ada0118a6d85ecf4d7725a7d4b6 259928 admin important apt-utils_0.7.26~exp4_i386.deb
 8e14d62f9474f8651498385f477fed86 73672 admin optional apt-transport-https_0.7.26~exp4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvilYQACgkQliSD4VZixzSVAgCfWuG8Kgx3Lbu2VxGGlPWg4+7y
GggAnRxhxeyiNOfQJ4mPCsI201MIg/1r
=YwgV
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 24 Aug 2010 18:51:56 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Tue, 24 Aug 2010 18:51:56 GMT) Full text and rfc822 format available.

Message #32 received at 523920-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 523920-close@bugs.debian.org
Subject: Bug#523920: fixed in apt 0.8.0
Date: Tue, 24 Aug 2010 18:47:14 +0000
Source: apt
Source-Version: 0.8.0

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.8.0_all.deb
  to main/a/apt/apt-doc_0.8.0_all.deb
apt-transport-https_0.8.0_i386.deb
  to main/a/apt/apt-transport-https_0.8.0_i386.deb
apt-utils_0.8.0_i386.deb
  to main/a/apt/apt-utils_0.8.0_i386.deb
apt_0.8.0.dsc
  to main/a/apt/apt_0.8.0.dsc
apt_0.8.0.tar.gz
  to main/a/apt/apt_0.8.0.tar.gz
apt_0.8.0_i386.deb
  to main/a/apt/apt_0.8.0_i386.deb
libapt-pkg-dev_0.8.0_i386.deb
  to main/a/apt/libapt-pkg-dev_0.8.0_i386.deb
libapt-pkg-doc_0.8.0_all.deb
  to main/a/apt/libapt-pkg-doc_0.8.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Aug 2010 16:32:19 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.8.0
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 115520 150831 188407 195018 196021 236270 314334 316390 319006 319710 329814 351056 352667 383257 444222 448216 463260 486222 490347 499897 500560 512046 512318 523920 525783 531492 536029 538917 545699 547724 550564 558103 564137 566166 567669 568294 569488 570962 571037 571541 572259 572364 572615 573293 573592 573946 574558 574944 574962 576420 576752 577116 577117 577168 577226 577759 577804 578135 578267 578385 578657 578959 581159 581742 583517 586904 587725 588610 589642 590041 590438 590513 592366 592628 593430
Changes: 
 apt (0.8.0) unstable; urgency=low
 .
   [ Michael Vogt ]
   * merge of the debian-expermental-ma branch
   * refresh po/pot files in doc/ and po/
 .
   [ Programs translations ]
   * Swedish (Daniel Nylander). Closes: #592366
   * French (Christian Perrier)
 .
   [ Manpages translations ]
   * French (Christian Perrier)
 .
 apt (0.8.0~pre2) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/contrib/strutl.cc:
     - fix error checking for vsnprintf in its safe variant
   * methods/bzip2.cc:
     - fix error checking for read in case of failing bzip2/lzma/whatever
   * debian/apt.cron.daily:
     - create backups for our extended_states file (Closes: #593430)
   * apt-pkg/init.cc:
     - set the default values for dir::etc::trusted options correctly
   * ftparchive/writer.cc:
     - init valid-until correctly to prevent garbage entering Release file
   * apt-pkg/deb/debsystem.cc:
     - set dir::state::status based at least on dir
   * apt-pkg/deb/dpkgpm.cc:
     - use the InstVer instead of the CurrentVer for the autobit transfer
   * methods/http.cc:
     - some http servers violate HTTP1.1 by not issuing a Reason-Phrase
       (or at least a space after the code) especially for 200, but lets
       be nice and ignore it as we don't need the reason in general
   * apt-pkg/acquire-item.cc:
     - don't use ReadOnlyGzip mode for PDiffs as this mode doesn't work
       in combination with the AddFd methods of our hashclasses
 .
 apt (0.8.0~pre1) experimental; urgency=low
 .
   [ Programs translations ]
   * Swedish translation update. Closes: #592366
 .
   [ Michael Vogt ]
   * merge of the debian-expermental-ma branch
   * refresh po/pot files in doc/ and po/
   * apt-pkg/pkgcache.cc:
     - re-evaluate the architectures cache when the cache is (re)opened
 .
   [ Colin Watson ]
   * apt-pkg/cdrom.cc:
     - fix off-by-one error in DropBinaryArch
 .
   [ Julian Andres Klode ]
   * apt-pkg/contrib/fileutl.cc:
     - Add WriteAtomic mode.
     - Revert WriteEmpty to old behavior (LP: #613211)
   * apt-pkg, methods:
     - Convert users of WriteEmpty to WriteAtomic.
   * apt-pkg/depcache.cc:
     - Only try upgrade for Breaks if there is a newer version, otherwise
       handle it as Conflicts (by removing it) (helps for #591882).
   * debian/control:
     - Add dependency on gnupg to apt, apt-key uses it.
 .
   [ David Kalnischkies ]
   * apt-pkg/algorithms.cc:
     - let the problem resolver install packages to fix or-groups
       as a needed remove nuked another or-member (helps for #591882)
     - change the debug outputs to display also arch of the
       package and version dependencies information
   * cmdline/apt-get.cc:
     - let APT::Get::Arch-Only in build-dep default to false again
       (Closes: #592628) Thanks Mohamed Amine IL Idrissi for report!
     - purge packages in 'rc' state, thanks Rogier! (Closes: #150831)
   * apt-pkg/pkgcache.cc:
     - fix LongDesc handling in LANG=C environment
 .
 apt (0.7.26~exp12) experimental; urgency=low
 .
   [ Michael Vogt ]
   * debian/control:
     - add dependency on zlib-dev for libapt-pkg-dev
 .
   [ David Kalnischkies ]
   * apt-pkg/cacheset.cc:
     - [ABI BREAK] add an ErrorType option to CacheSetHelper
   * cmdline/apt-cache.cc:
     - use Notice instead of Error in the CacheSetHelper messages
       for compat reasons. Otherwise tools like sbuild blow up
     - return success in show if a virtual package was given
   * debian/control:
     - remove libcurl3-gnutls-dev alternative as the package is gone
     - increase needed version of libcurl4-gnutls-dev to >= 7.19.0
       as we use CURLOPT_{ISSUERCERT,CRLFILE} (Closes: #589642)
 .
 apt (0.7.26~exp11) experimental; urgency=low
 .
   [ Julian Andres Klode ]
   * apt-pkg/deb/dpkgpm.cc:
     - Write architecture information to history file.
     - Add to history whether a change was automatic or not.
   * apt-pkg/contrib/fileutl.cc:
     - Add FileFd::OpenDescriptor() (needed for python-apt's #383617).
   * cmdline/apt-get.cc:
     - Support large filesystems by using statvfs64() instead of statvfs()
       and statfs64() instead of statfs() (Closes: #590513).
   * apt-pkg/cdrom.cc:
     - Use link() instead of rename() for creating the CD database backup;
       otherwise there would be a short time without any database.
 .
   [ David Kalnischkies ]
   * apt-pkg/depcache.cc:
     - handle "circular" conflicts for "all" packages correctly
   * cmdline/apt-cache.cc:
     - be able to omit dependency types in (r)depends (Closes: #319006)
     - show in (r)depends the canidate per default instead of newest
     - share the (r)depends code instead of codecopy
   * apt-pkg/cacheset.cc:
     - move them back to the library as they look stable now
     - add a 'newest' pseudo target release as in pkg/newest
   * apt-pkg/pkgcache.cc:
     - prefer non-virtual packages in FindPreferredPkg (Closes: #590041)
   * test/integration/*:
     - add with bug#590041 testcase a small test "framework"
   * apt-pkg/orderlist.cc:
     - try to install another or-group member in DepRemove before
       breaking the or group (Closes: #590438)
     - configure also the replacement before remove by adding Immediate flag
 .
   [ Michael Vogt ]
   * apt-pkg/contrib/error.{cc,h}
     - docstring cleanup
     - add inline DumpError() to avoid subtle API break
 .
 apt (0.7.26~exp10) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/contrib/error.{cc,h}:
     - remove constness of va_list parameter to fix build on amd64 and co
       Thanks Eric Valette! (Closes: #588610)
   * apt-pkg/deb/debmetaindex.cc:
     - do not query each architecture for flat file archives
     - fix typo preventing display of architecture in Info()
   * methods/bzip2.cc:
     - add a copycat of the old gzip.cc as we need it for bzip2 and lzma
 .
   [ Martin Pitt ]
   * debian/rules:
     - Make DEB_BUILD_OPTIONS=noopt actually work by passing the right
       CXXFLAGS.
   * apt-pkg/contrib/fileutl.{h,cc}:
     - Add support for reading of gzipped files with the new "ReadOnlyGzip"
       OpenMode. (Closes: #188407)
     - Link against zlib (in apt-pkg/makefile) and add zlib build dependency.
     - [ABI BREAK] This adds a new private member to FileFd, but its
       initialization is in the public header file.
   * configure.in:
     - Check for zlib library and headers.
   * apt-pkg/acquire-item.cc, apt-pkg/deb/debindexfile.cc,
     apt-pkg/deb/debrecords.cc, apt-pkg/deb/debsrcrecords.h,
     cmdline/apt-cache.cc:
     - Open Packages, Sources, and Translations indexes in "ReadOnlyGzip" mode.
   * apt-pkg/deb/debindexfile.cc:
     - If we do not find uncompressed package/source/translation indexes, look
       for gzip compressed ones.
   * apt-pkg/acquire-item.cc:
     - If the Acquire::GzipIndexes option is true and we download a gzipped
       index file, keep it as it is (and rename to .gz) instead of
       uncompressing it.
   * doc/apt.conf.5.xml:
     - Document the new Acquire::GzipIndexes option.
   * doc/po/apt-doc.pot, doc/po/de.po:
     - German translation of new Acquire::GzipIndexes option.
   * Add test/test-indexes.sh:
     - Test behaviour of index retrieval and usage, in particular with
       uncompressed and gzip compressed indexes.
   * methods/gzip.cc: With FileFd now being able to read gzipped files, there
     is no need for the gzip method any more to spawn an external gzip process.
     Rewrite it to use FileFd directly, which makes the code a lot simpler, and
     also using less memory and overhead.
 .
 apt (0.7.26~exp9) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * doc/apt.conf.5.xml:
     - add and document APT::Cache-{Start,Grow,Limit} options for mmap control
   * apt-pkg/contrib/fileutl.cc:
     - do not fail von double close()
 .
 apt (0.7.26~exp8) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * cmdline/cacheset.cc:
     - doesn't include it in the library for now as it is too volatile
     - get the candidate either from an already built depcache
       or use the policy which is a bit faster than depcache generation
     - get packages by task^ with FromTask()
     - only print errors if all tries to get a package by string failed
     - factor out code to get a single package FromName()
     - check in Grouped* first without modifier interpretation
   * cmdline/apt-get.cc:
     - use the cachsets in the install commands
     - make the specify order of packages irrelevant (Closes: #196021)
   * apt-pkg/orderlist.cc:
     - untouched packages are never missing
   * apt-pkg/packagemanager.cc:
     - packages that are not touched doesn't need to be unpacked
   * debian/control:
     - remove intltool's dependency as it is an ubuntu artefact
   * apt-pkg/depcache.cc:
     - SetCandidateVer for all pseudo packages
     - SetReInstall for the "all" package of a pseudo package
     - use the new MatchAgainstConfig for the DefaultRootSetFunc
     - always mark the all package if a pseudo package is marked for install
   * apt-pkg/contrib/error.{cc,h}:
     - complete rewrite but use the same API
     - add NOTICE and DEBUG as new types of a message
     - add a simple stack handling to be able to delay error handling
   * apt-pkg/aptconfiguration.cc:
     - show a deprecation notice for APT::Acquire::Translation
   * apt-pkg/contrib/configuration.{cc,h}:
     - add a wrapper to match strings against configurable regex patterns
   * apt-pkg/contrib/fileutl.cc:
     - show notice about ignored file instead of being always silent
     - add a Dir::Ignore-Files-Silently list option to control the notice
   * apt-pkg/policy.h:
     - add another round of const& madness as the previous round accidentally
       NOT overrides the virtual GetCandidateVer() method (Closes: #587725)
   * apt-pkg/pkgcachegen.{cc,h}:
     - make the used MMap moveable (and therefore dynamic resizeable) by
       applying (some) mad pointer magic (Closes: #195018)
 .
   [ Michael Vogt ]
   * apt-pkg/deb/dpkgpm.cc:
     - make the apt/term.log output unbuffered (thanks to Matt Zimmerman)
 .
   [ Julian Andres Klode ]
   * methods/ftp.h:
     - Handle different logins on the same server (Closes: #586904).
   * apt-pkg/deb/deblistparser.cc:
     - Handle architecture wildcards (Closes: #547724).
   * apt-pkg/versionmatch.cc:
     - Support matching pins by regular expressions or glob() like patterns,
       regular expressions have to be put between to slashes; for example,
       /.*/.
   * apt-pkg/contrib/fileutl.cc:
     - Make FileFd replace files atomically in WriteTemp mode (for cache, etc).
   * debian/control:
     - Set Standards-Version to 3.9.0
 .
 apt (0.7.26~exp7) experimental; urgency=low
 .
   * apt-pkg/cachefile.h:
     - make pkgPolicy public again, libapt-pkg-perl (and probably
       others) get unhappy without that
 .
 apt (0.7.26~exp6) experimental; urgency=low
 .
   [ Michael Vogt ]
   * merge the remaining Ubuntu change:
     - on gpg verification failure warn and restore the last known
       good state
     - on failure display the IP of the server (useful for servers
       that use round robin DNS)
     - support Original-Maintainer in RewritePackageOrder
     - enable cdrom autodetection via libudev by default
     - show message about Vcs in use when apt-get source is run for
       packages maintained in a Vcs
     - better support transitional packages with mark auto-installed.
       when the transitional package is in "oldlibs" the new package
       is not marked auto installed (same is true for section
       metapackages)
     - provide new "deb mirror://archive.foo/mirrors.list sid main"
       method expects a list of mirrors (generated on the server e.g.
       via geoip) and will use that, including cycle on failure
     - write apport crash file on package failure (disabled by default
       on debian until apport is available)
     - support mirror failure reporting (disabled by default on debian)
 .
   [ David Kalnischkies ]
   * apt-pkg/deb/dpkgpm.cc:
     - write Disappeared also to the history.log
     - forward manual-installed bit on package disappearance
   * apt-pkg/deb/debsystem.cc:
     - add better config item for extended_states file
   * apt-pkg/pkgcache.h:
     - switch {,Install-}Size to unsigned long long
   * apt-pkg/depcache.cc:
     - do the autoremove mark process also for required packages to handle
       these illegally depending on lower priority packages (Closes: #583517)
     - try harder to find the other pseudo versions for autoremove multiarch
     - correct "Dangerous iterator usage" pointed out by cppcheck
     - deal with long long, not with int to remove 2GB Limit (LP: #250909)
     - deprecate AddSize with Multiplier as it is unused and switch to
       boolean instead to handle the sizes more gracefully.
     - switch i{Download,Usr}Size from double to (un)signed long long
   * apt-pkg/aptconfiguration.cc:
     - remove duplicate architectures in getArchitectures()
   * apt-pkg/indexrecords.{cc,h}:
     - backport forgotten Valid-Until patch from the obsolete experimental
       branch to prevent replay attacks better, thanks to Thomas Viehmann
       for the initial patch! (Closes: #499897)
     - add a constant Exists check for MetaKeys
   * apt-pkg/acquire-item.cc:
     - do not try PDiff if it is not listed in the Meta file
     - sent Last-Modified header also for Translation files
   * apt-pkg/cacheiterator.h:
     - let pkgCache::Iterator inherent std::iterator
   * ftparchive/writer.h:
     - add a virtual destructor to FTWScanner class (for cppcheck)
   * apt-pkg/cacheset.{cc,h}:
     - add simple wrapper around std::set for cache structures
     - move regex magic from apt-get to new FromRegEx method
     - move cmdline parsing from apt-cache to new FromCommandLine method
     - support special release-modifier 'installed' and 'candidate'
   * apt-pkg/contrib/cmdline.cc:
     - fix segfault in SaveInConfig caused by writing over char[] sizes
   * apt-pkg/pkgcache.cc:
     - get the best matching arch package from a group with FindPreferredPkg
   * cmdline/apt-cache.cc:
     - make the search multiarch compatible by using GrpIterator instead
     - use pkgCacheFile and the new CacheSets all over the place
     - add --target-release option (Closes: #115520)
     - accept pkg/release and pkg=version in show and co. (Closes: #236270)
     - accept package versions in the unmet command
   * cmdline/apt-get.cc:
     - use unsigned long long instead of double to store values it gets
   * apt-pkg/cachefile.{cc,h}:
     - split Open() into submethods to be able to build only parts
     - make the OpProgress optional in the Cache buildprocess
     - store also the SourceList we use internally for export
   * doc/apt.conf.5.xml:
     - document the new Valid-Until related options
   * apt-pkg/contrib/strutl.cc:
     - split StrToTime() into HTTP1.1 and FTP date parser methods and
       use strptime() instead of some self-made scanf mangling
     - use the portable timegm shown in his manpage instead of a strange
       looking code copycat from wget
   * ftparchive/writer.cc:
     - add ValidTime option to generate a Valid-Until header in Release file
   * apt-pkg/policy.cc:
     - get the candidate right for a not-installed pseudo package if
       his non-pseudo friend is installed
   * apt-pkg/indexcopy.cc:
     - move the gpg codecopy to a new method and use it also in methods/gpgv.cc
 .
 apt (0.7.26~exp5) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * cmdline/apt-get.cc:
     - rerun dpkg-source in source if --fix-broken is given (Closes: #576752)
     - don't suggest held packages as they are installed (Closes: #578135)
     - handle multiple --{tar,diff,dsc}-only options correctly
     - show at the end of the install process a list of disappeared packages
   * cmdline/apt-cache.cc:
     - use GroupCount for package names in stats and add a package struct line
   * methods/rred.cc:
     - use the patchfile modification time instead of the one from the
       "old" file - thanks to Philipp Weis for noticing! (Closes: #571541)
   * debian/rules:
     - remove targets referring to CVS or arch as they are useless
     - use $(CURDIR) instead of $(pwd)
     - use dpkg-buildflags if available for CXXFLAGS
   * README.arch:
     - remove the file completely as it has no use nowadays
   * apt-pkg/depcache.cc:
     - be doublesure that the killer query is empty before starting reinstall
   * methods/gpgv.cc:
     - remove the keyrings count limit by using vector magic
   * contrib/mmap.cc:
     - clarify "MMap reached size limit" error message, thanks Ivan Masár!
   * doc/apt.ent
     - add entities for the current oldstable/stable/testing codenames
   * doc/sources.list.5.xml:
     - use stable-codename instead of stable in the examples (Closes: #531492)
   * doc/apt_preferences.5.xml:
     - adapt some examples here to use current codenames as well
     - add "NotAutomatic: yes" handling, thanks Osamu Aoki (Closes: #490347)
   * debian/libapt-pkg-doc.doc-base.cache:
     - remove yet another reference to the removed cache.sgml
   * doc/apt-get.8.xml:
     - do not say explicit target_release_{name,version,codename}, it should
       be clear by itself and 'man' can break lines again (Closes: #566166)
     - remove the gnome-apt reference as it is removed from unstable
   * apt-pkg/deb/dpkgpm.cc:
     - add 'disappear' to the known processing states, thanks Jonathan Nieder
   * apt-pkg/packagemanager.h:
     - export info about disappeared packages with GetDisappearedPackages()
 .
   [ Michael Vogt ]
   * methods/http.{cc,h}:
     - code cleanup, use enums instead of magic ints
 .
   [ Jari Aalto ]
   * debian/rules:
     - spell out some less known options to reduce manpage consultation-rate
     - Use POSIX command substitution: $(<command sequence>)
     - Remove EOL whitespace (Closes: #577804)
 .
   [ Julian Andres Klode ]
   * apt-pkg/acquire-item.cc:
     - Fix pkgAcqFile::Custom600Headers() to always return something.
 .
 .
   [ Christian Perrier ]
   * Slovak translation update. Closes: #581159
   * Italian translation update. Closes: #581742
   * Swedish translation update. Closes: #592366
 .
 apt (0.7.26~exp4) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/depcache.cc:
     - rewrite the pseudo package reinstaller to be more intelligent
       in his package choices
   * apt-pkg/packagemanager.cc:
     - don't try to "unpack" pseudo packages twice
   * apt-pkg/contrib/fileutl.cc:
     - add a parent-guarded "mkdir -p" as CreateDirectory()
   * apt-pkg/acquire.{cc,h}:
     - add a delayed constructor with Setup() for success reporting
     - check for and create directories in Setup if needed instead of
       error out unfriendly in the Constructor (Closes: #523920, #525783)
     - optional handle a lock file in Setup()
   * apt-pkg/acquire-item.cc:
     - Acquire::ForceHash to force method for expected hash
   * cmdline/apt-get.cc:
     - remove the lock file handling and let Acquire take care of it instead
     - display MD5Sum in --print-uris if not forced to use another method
       instead of displaying the strongest available (Closes: #576420)
     - regex for package names executed on Grp- not PkgIterator
     - show non-candidates as fallback for virtual packages (Closes: #578385)
     - set also "all" to this version for pseudo packages in TryToChangeVer
   * apt-pkg/deb/dpkgpm.cc:
     - remove Chroot-Directory from files passed to install commands.
       Thanks to Kel Modderman for report & patch! (Closes: #577226)
   * ftparchive/writer.cc:
     - remove 999 chars Files and Checksums rewrite limit (Closes: #577759)
   * cmdline/apt-cache.cc:
     - align Installed and Candidate Version in policy so they can be compared
       easier, thanks Ralf Gesellensetter for the pointer! (Closes: #578657)
   * doc/apt.ent:
     - Add a note about APT_CONFIG in the -c description (Closes: #578267)
   * doc/po/de.po:
     - correct typos in german apt_preferences manpage, thanks Chris Leick!
   * apt-pkg/sourcelist.cc:
     - be less strict and accept [option=value] as well
   * apt-pkg/contrib/configuration.cc:
     - error out if #clear directive has no argument
   * doc/files.sgml:
     - sync documentation with status quo, regarding files/directories in
       use, extended_states and uri schemes.
   * doc/cache.sgml:
     - drop the file in favor of inplace documentation with doxygen
   * apt-pkg/pkgcache.h:
     - enhance the Groups ABI by providing a ID as the other structs does
     - check also the size of the Group struct then checking for the others
 .
   [ Jari Aalto ]
   * cmdline/apt-get.cc:
     - replace backticks with single quotes around fix-broken command
       in the broken packages message. (Closes: #577168)
   * dselect/install:
     - modernize if-statements not to use 'x' (Closes: #577117)
     - replace backticks with POSIX $() (Closes: #577116)
 .
   [ Michael Vogt ]
   * [ Abi break ] apt-pkg/acquire-item.{cc,h}:
     - add "IsIndexFile" to constructor of pkgAcqFile so that it sends
       the right cache control headers
   * cmdline/apt-get.cc:
     - fix crash when pkg.VersionList() is empty
   * apt-pkg/depcache.cc:
     - fix incorrect std::cout usage for debug output
   * test/libapt/getlanguages_test.cc:
     - Add test for Esperanto that has nocounty associated with them
       (LP: #560956)
   * apt-pkg/deb/debrecords.cc:
     - fix max tag buffer size (LP: #545336, closes: #578959)
   * debian/rules:
     - install html doxygen in libapt-pkg-doc
   * debian/control:
     - build-depend on doxygen
 .
   [ Julian Andres Klode ]
   * apt-pkg/contrib/weakptr.h:
     - add a class WeakPointable which allows one to register weak pointers to
       an object which will be set to NULL when the object is deallocated.
   * [ABI break] apt-pkg/acquire{-worker,-item,}.h:
     - subclass pkgAcquire::{Worker,Item,ItemDesc} from WeakPointable.
   * apt-pkg/pkgcache.cc:
     - Merge fix from David to correct handling in single-arch environments.
   * cmdline/apt-cache.cc:
     - Add a showauto command to apt-cache.
   * cmdline/apt-get.cc:
     - Add apt-get markauto and unmarkauto commands.
 .
 apt (0.7.26~exp3) experimental; urgency=low
 .
   [ Christian Perrier ]
   * German translation update. Closes: #571037
   * Spanish manpages translation update. Closes: #573293
   * Dutch translation update. Closes: #573946
   * Polish manpages translation update. Closes: #574558
   * Add "manpages-pl (<< 20060617-3~)" to avoid file conflicts with
     that package that was providing some manpages for APT utilities.
 .
   [ David Kalnischkies ]
   * [BREAK] merge MultiArch-ABI. We don't support MultiArch,
     but we support the usage of the new ABI so libapt users
     can start to prepare for MultiArch (Closes: #536029)
   * Ignore :qualifiers after package name in build dependencies
     in the library by default, but try to honour them in apt-get
     as we have some sort of MultiArch support ready (Closes: #558103)
   * add translation of the manpages to PT (portuguese)
     Thanks to Américo Monteiro!
   * Switch to dpkg-source 3.0 (native) format
   * apt-pkg/depcache.cc:
     - remove Auto-Installed information from extended_states
       together with the package itself (Closes: #572364)
   * cmdline/apt-mark:
     - don't crash if no arguments are given (Closes: #570962)
   * debian/control:
     - remove some years old and obsolete Replaces
     - add automake/conf build-depends/conflicts as recommend by
       the autotools-dev README (Closes: #572615)
   * apt-pkg/contrib/mmap.{h,cc}:
     - add char[] fallback for filesystems without shared writable
       mmap() like JFFS2. Thanks to Marius Vollmer for writing
       and to Loïc Minier for pointing to the patch! (Closes: #314334)
   * doc/apt_preferences.5.xml:
     - fix two typos and be more verbose in the novice warning.
       Thanks to Osamu Aoki for pointing it out! (Closes: #567669)
     - fix a=sid vs. n=sid typo, thanks Ansgar Burchardt!
     - origin can be used to match a hostname (Closes: #352667)
     - remove wrong pin-priority is optional remark (Closes: #574944)
   * apt-pkg/deb/dpkgpm.cc:
     - fix error message construction in OpenLog()
     - if available store the Commandline in the history
   * cmdline/apt-get.cc:
     - add a --only-upgrade flag to install command (Closes: #572259)
     - fix memory leaks in error conditions in DoSource()
     - try version match in FindSrc first exact than fuzzy (LP: #551178)
   * apt-pkg/contrib/cmndline.cc:
     - save Commandline in Commandline::AsString for logging
   * apt-pkg/deb/debversion.cc:
     - consider absent of debian revision equivalent to 0 (Closes: #573592)
   * doc/makefile, doc/*:
     - generate subdirectories for building the manpages in on the fly
       depending on the po files we have.
   * apt-pkg/pkgcachegen.cc:
     - merge versions correctly even if multiple different versions
       with the same version number are available.
       Thanks to Magnus Holmgren for the patch! (Closes: #351056)
   * ftparchive/writer.cc:
     - write LongDescriptions if they shouldn't be included in Packages
       file into i18n/Translation-en by default.
   * doc/po/de.po:
     - correct a few typos in the german manpage translation.
       Thanks to Chris Leick and Georg Koppen! (Closes: #574962)
   * apt-pkg/contrib/strutl.cc:
     - convert all toupper calls to tolower_ascii for a little speedup
 .
   [ Jean-Baptiste Lallement ]
   * apt-pkg/contrib/strutl.cc:
     - always escape '%' (LP: #130289) (Closes: #500560)
     - unescape '%' sequence only if followed by 2 hex digit
     - username/password are urlencoded in proxy string (RFC 3986)
 .
   [ Julian Andres Klode ]
   * cmdline/apt-cache.cc:
     - Change behavior of showsrc to match the one of show (Closes: #512046).
   * cmdline/apt-key:
     - Honor Apt::GPGV::TrustedKeyring (Closes: #316390)
   * cmdline/apt-mark:
     - Use the new python-apt API (and conflict with python-apt << 0.7.93.2).
   * apt-inst/contrib/arfile.h:
     - Add public ARArchive::Members() which returns the list of members.
   * apt-pkg/policy.cc:
     - Always return a candidate if there is at least one version pinned > 0
       (Closes: #512318)
   * ftparchive/apt-ftparchive.cc:
     - Read default configuration (Closes: #383257)
   * debian/rules:
     - Fix the libraries name to be e.g. libapt-pkg4.9 instead of
       libapt-pkg-4.9.
 .
   [ Michael Vogt ]
   * apt-pkg/deb/dpkgpm.cc:
     - fix backgrounding when dpkg runs (closes: #486222)
   * cmdline/apt-mark:
     - show error on incorrect aguments (LP: #517917), thanks to
       Torsten Spindler
   * cmdline/apt-get.cc:
     - if apt-get source foo=version or foo/distro can not be found,
       error out (LP: #502641)
   * apt-pkg/packagemanager.cc:
     - better debug output
   * doc/examples/configure-index:
     - add missing Debug::pkgPackageManager option
 .
 apt (0.7.26~exp2) experimental; urgency=low
 .
   * fix crash when LANGUAGE is not set
 .
 apt (0.7.26~exp1) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * [BREAK] add possibility to download and use multiply
     Translation files, configurable with Acquire::Translation
     (Closes: #444222, #448216, #550564)
   * Ignore :qualifiers after package name in build dependencies
     for now as long we don't understand them (Closes: #558103)
   * apt-pkg/contrib/mmap.{cc,h}:
     - extend it to have a growable flag - unused now but maybe...
   * apt-pkg/pkgcache.h:
     - use long instead of short for {Ver,Desc}File size,
       patch from Víctor Manuel Jáquez Leal, thanks! (Closes: #538917)
   * apt-pkg/acquire-item.cc:
     - allow also to skip the last patch if target is reached,
       thanks Bernhard R. Link! (Closes: #545699)
   * ftparchive/writer.{cc,h}:
     - add --arch option for packages and contents commands
     - if an arch is given accept only *_all.deb and *_arch.deb instead
       of *.deb. Thanks Stephan Bosch for the patch! (Closes: #319710)
     - add APT::FTPArchive::AlwaysStat to disable the too aggressive
       caching if versions are build multiply times (not recommend)
       Patch by Christoph Goehre, thanks! (Closes: #463260)
   * apt-pkg/deb/dpkgpm.cc:
     - stdin redirected to /dev/null takes all CPU (Closes: #569488)
       Thanks to Aurelien Jarno for providing (again) a patch!
   * buildlib/apti18n.h.in, po/makefile:
     - add ngettext support with P_()
   * aptconfiguration.cc:
     - include all existing Translation files in the Cache (Closes: 564137)
   * debian/control:
     - update with no changes to debian policy 3.8.4
   * doc/apt_preferences.5.xml:
     - explicitly warn against careless use (Closes: #567669)
   * debian/rules:
     - remove creation of empty dir /usr/share/apt
   * doc/apt-cdrom.8.xml:
     - fix typo spotted by lintian: proc(c)eed
 .
   [ Ivan Masár ]
   * Slovak translation update. Closes: #568294
 .
   [ Michael Vogt ]
   * [BREAK] merged lp:~mvo/apt/history
     - this writes a /var/log/apt/history tagfile that contains details
       from the transaction (complements term.log)
   * methods/http.cc:
     - add cache-control headers even if no cache is given to allow
       adding options for intercepting proxies
     - add Acquire::http::ProxyAutoDetect configuration that
       can be used to call a external helper to figure out the
       proxy configuration and return it to apt via stdout
       (this is a step towards WPAD and zeroconf/avahi support)
   * abicheck/
     - add new abitest tester using the ABI Compliance Checker from
       http://ispras.linuxfoundation.org/index.php/ABI_compliance_checker
 .
   [ Robert Collins ]
   * Change the package index Info methods to allow apt-cache policy to be
     useful when using several different archives on the same host.
     (Closes: #329814, LP: #22354)
Checksums-Sha1: 
 a44ec680fd2b37b7a042ef2f2b8d05343ddf1929 1282 apt_0.8.0.dsc
 0fa9075640943ddec0f97a8a268fea7aa2378467 3052419 apt_0.8.0.tar.gz
 ac453c6596098a2af4f6ee617f970c438213086c 201688 apt-doc_0.8.0_all.deb
 95df5bc8d4093df27fb13fc01ad52c048c3dd6a1 687228 libapt-pkg-doc_0.8.0_all.deb
 350a8a7a43fe182d54f3b7d73b8032f85b5d7ddf 1965454 apt_0.8.0_i386.deb
 52cc97588f405d9c9588b1ff2486df4d49856139 147434 libapt-pkg-dev_0.8.0_i386.deb
 973eb3e2c9025f81eed70bee3f41db6ecf638dbf 256382 apt-utils_0.8.0_i386.deb
 c55efb7fb68500542f4b8b314af8020103f10102 79486 apt-transport-https_0.8.0_i386.deb
Checksums-Sha256: 
 07c8c13c022820c04c4f7c5f1a8e46bd60cd766c7245af41189381e0a7b454be 1282 apt_0.8.0.dsc
 a7f2c4906f0fa301b2202d3e4af7e1651e795b3d1977850759c1282c54e4cbac 3052419 apt_0.8.0.tar.gz
 2f434a9b6b1821aae8e04083f9b928038880957bb6dbf7faadda938bf923f0e6 201688 apt-doc_0.8.0_all.deb
 6d84ed0a5953067a15d032eb79abaf4aab233da4d34ef2abb918eafa72fb558d 687228 libapt-pkg-doc_0.8.0_all.deb
 a593e7d7f9b3cffa37770201a3c13bd2c8bc588bafbf39b4aaa5e13b5fb00b8b 1965454 apt_0.8.0_i386.deb
 482c3d36e5a1464a4a695d315a6571721ec858c42ae854833034992ff1eb2fc3 147434 libapt-pkg-dev_0.8.0_i386.deb
 3c6b12d3bce42a9fb587856bc55ebd9b28694da1c38d84f4347041c7d2fe4f7c 256382 apt-utils_0.8.0_i386.deb
 a140d5aeb6fffa058554def5b41d5ab946bffc656f5d9b889ebfbc4ab41c1262 79486 apt-transport-https_0.8.0_i386.deb
Files: 
 130fdd69012ecaa5803fb40b619adc52 1282 admin important apt_0.8.0.dsc
 f2a4203720d9f7c3b79c95b33a52a47c 3052419 admin important apt_0.8.0.tar.gz
 83dc4da2cce59fb7b21b99bd895bb59f 201688 doc optional apt-doc_0.8.0_all.deb
 f18cba6291c545b2ddffa245093985e8 687228 doc optional libapt-pkg-doc_0.8.0_all.deb
 43364819b898e49b8175e88ec5787241 1965454 admin important apt_0.8.0_i386.deb
 72767fb35c364cb87c21c0a31033de87 147434 libdevel optional libapt-pkg-dev_0.8.0_i386.deb
 054ed2576bf7eda6a793b51bc887c36e 256382 admin important apt-utils_0.8.0_i386.deb
 dbf3e63b69e7fe0e05bd5c246d62314a 79486 admin optional apt-transport-https_0.8.0_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx0DecACgkQliSD4VZixzSOcwCfVOztS6+5/9DNF0wWB3gJfzaU
GeoAnRghDhHJwAcf/xizOfMBTsXHMBCg
=OymA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Oct 2010 07:33:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:16:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.